# Workspaces:
#
# Switch to workspace
- bindsym $mod+1 workspace number 1
- bindsym $mod+2 workspace number 2
- bindsym $mod+3 workspace number 3
- bindsym $mod+4 workspace number 4
- bindsym $mod+5 workspace number 5
- bindsym $mod+6 workspace number 6
- bindsym $mod+7 workspace number 7
- bindsym $mod+8 workspace number 8
- bindsym $mod+9 workspace number 9
- bindsym $mod+0 workspace number 10
- # Move focused container to workspace
- bindsym $mod+Shift+1 move container to workspace number 1
- bindsym $mod+Shift+2 move container to workspace number 2
- bindsym $mod+Shift+3 move container to workspace number 3
- bindsym $mod+Shift+4 move container to workspace number 4
- bindsym $mod+Shift+5 move container to workspace number 5
- bindsym $mod+Shift+6 move container to workspace number 6
- bindsym $mod+Shift+7 move container to workspace number 7
- bindsym $mod+Shift+8 move container to workspace number 8
- bindsym $mod+Shift+9 move container to workspace number 9
- bindsym $mod+Shift+0 move container to workspace number 10
- # Note: workspaces can have any name you want, not just numbers.
- # We just use 1-10 as the default.
+ {% for i in range(10) %}
+ bindsym --no-repeat $mod+{{ i }} workspace number {{ i }}; exec "echo 1 > /tmp/sovpipe"
+ bindsym --release $mod+{{ i }} exec "echo 0 > /tmp/sovpipe"
+
+ # Move focused container to workspace
+ bindsym $mod+Shift+{{ i }} move container to workspace number {{ i }}
+ {% endfor %}
+
+ bindsym --no-repeat $mod+Shift exec "echo 1 > /tmp/sovpipe"
+ bindsym --release $mod+Shift exec "echo 0 > /tmp/sovpipe"
+
#
# Layout stuff:
#
# host specific section
{%- do salt.log.error('sway/files/' + host) -%}
{% include 'sway/files/' + host %}
+
+exec rm -f /tmp/sovpipe && mkfifo /tmp/sovpipe && tail -f /tmp/sovpipe | sov
--- /dev/null
+#!/bin/sh
+
+{% if grains['host'] == 'baryte' %}
+{% set ext = "DP-3" %}
+{% else %}
+{% set ext = "DP-1" %}
+{% endif %}
+
+FILE="/proc/acpi/button/lid/LID*/state"
+last=-1
+while true; do
+ grep -q open ${FILE}
+ current="$?"
+ if [ $last -ne $current ]; then
+ if [ $current -eq 0 ]; then
+ swaymsg output {{ ext }} disable
+ swaymsg output eDP-1 enable
+ else
+ swaymsg output eDP-1 disable
+ swaymsg output {{ ext }} enable
+ fi
+ fi
+ last=$current
+ sleep 0.5
+done
- user: {{ grains['user'] }}
- group: {{ grains['user'] }}
- mode: 750
+
+{% if grains['host'] in ['baryte', 'barium', 'rhenium'] %}
+monitor switch script:
+ file.managed:
+ - name: {{ grains['homedir'] }}/.local/bin/monitor_switch_sway
+ - source: salt://sway/files/monitor_switch_sway
+ - user: {{ grains['user'] }}
+ - group: {{ grains['user'] }}
+ - mode: 750
+ - template: jinja
+{% endif %}